[Asus F200MA] bluetooth not working

Bug #1411193 reported by Alessandro Languasco on 2015-01-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

In my opinion, this is a very similar bug to

https://bugs.launchpad.net/bugs/1395465

in the sense that the bluetooth indicator works but no external devices are detected.
I don't know which information I should provide here so I just insert uname -a and lsusb.

lsusb
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 004: ID 13d3:3423 IMC Networks
Bus 001 Device 003: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
Bus 001 Device 002: ID 04f2:b483 Chicony Electronics Co., Ltd
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

uname -a
Linux languasc-asus 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Any help will be greatly appreciated. Alessandro

CVE References

Alessandro Languasco (languasc) wrote :
Pilot6 (hanipouspilot) wrote :

Alessandro,

Please give output of

sudo cat /sys/kernel/debug/usb/devices

Pilot6 (hanipouspilot) on 2015-01-15
Changed in linux (Ubuntu):
status: New → Incomplete
Pilot6 (hanipouspilot) wrote :

This is an AR3012 device
https://www.atheros.cz/atheros-inf-file.php?inf=332&chipset=77&system=5

I will make a patch and you will be able to test it.

Alessandro Languasco (languasc) wrote :
Download full text (3.6 KiB)

The data you requested are below. thks.

sudo cat /sys/kernel/debug/usb/devices

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=5000 MxCh= 1
B: Alloc= 0/800 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 3.00 Cls=09(hub ) Sub=00 Prot=03 MxPS= 9 #Cfgs= 1
P: Vendor=1d6b ProdID=0003 Rev= 3.16
S: Manufacturer=Linux 3.16.0-30-generic xhci_hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 4 Ivl=256ms

T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 6
B: Alloc= 0/800 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev= 3.16
S: Manufacturer=Linux 3.16.0-30-generic xhci_hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 4 Ivl=256ms

T: Bus=01 Lev=01 Prnt=01 Port=02 Cnt=01 Dev#= 2 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=04f2 ProdID=b483 Rev=99.14
S: Product=USB2.0 VGA UVC WebCam
C:* #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=200mA
A: FirstIf#= 0 IfCount= 2 Cls=0e(video) Sub=03 Prot=00
I:* If#= 0 Alt= 0 #EPs= 1 Cls=0e(video) Sub=01 Prot=00 Driver=uvcvideo
E: Ad=83(I) Atr=03(Int.) MxPS= 23 Ivl=4ms
I:* If#= 1 Alt= 0 #EPs= 0 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo
I: If#= 1 Alt= 1 #EPs= 1 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo
E: Ad=81(I) Atr=05(Isoc) MxPS=3072 Ivl=125us
I: If#= 1 Alt= 2 #EPs= 1 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo
E: Ad=81(I) Atr=05(Isoc) MxPS=1024 Ivl=125us
I: If#= 1 Alt= 3 #EPs= 1 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo
E: Ad=81(I) Atr=05(Isoc) MxPS=2048 Ivl=125us
I: If#= 1 Alt= 4 #EPs= 1 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo
E: Ad=81(I) Atr=05(Isoc) MxPS= 0 Ivl=125us

T: Bus=01 Lev=01 Prnt=01 Port=03 Cnt=02 Dev#= 3 Spd=480 MxCh= 3
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=05e3 ProdID=0608 Rev=85.37
S: Product=USB2.0 Hub
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=100mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 1 Ivl=256ms

T: Bus=01 Lev=02 Prnt=03 Port=00 Cnt=01 Dev#= 5 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=13d3 ProdID=3423 Rev= 0.01
C:* #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
A: FirstIf#= 0 IfCount= 2 Cls=e0(wlcon) Sub=01 Prot=01
I:* If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=81(I) Atr=03(Int.) MxPS= 16 Ivl=1ms
E: Ad=82(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms
I:* If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 0 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 0 Ivl=1ms
I: If#= 1 Alt= 1 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 9 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 9 Ivl=1ms
I: If#= 1 Alt= 2 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS=...

Read more...

Pilot6 (hanipouspilot) wrote :

Please test this image.
https://www.dropbox.com/sh/mjy0uy1nm023pdq/AACWfkMST5CbIJj4-Ri1bPpKa?dl=0

Download 4 files to your home folder, then run

sudo dpkg -i linux*.deb

if you do not have other linux image files there.

Then TURN OFF your laptop (not just reboot), then turn on and test bluetooth.

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: utopic
Alessandro Languasco (languasc) wrote :

Pilot6: thanks. I installed the files you prepared but

- bluetooth is disabled and indicator does not work

- if I try to enable bluetooth via the panel, i get this error message

Error: BrokenCount >0
This means that your installed packages have unmet dependencies

Pilot6 (hanipouspilot) wrote :

Did you try to enable bt not from the upper panel, but from System Parameters. Sometimes there is a trouble there, when you enable bt first time.

Where do you get that error message and when?

And also give output of

dmesg | egrep 'btusb | ath3k'

Alessandro Languasco (languasc) wrote :

sorry; this is in fact what I meant:

I tried to enable bluetooth with the panel System/preferences/bluetooth (not with the indicator since I have no indicator);
so I switched to on the slider in the panel, and, immediately after this, I got the error message (in the notification panel).

I have no output for

dmesg | egrep 'btusb | ath3k'

Pilot6 (hanipouspilot) wrote :

Give output of

 dpkg -l | egrep 'linux-image | linux-headers'

apt-get gives me

 linux-signed-image-3.16.0-30-generic : Depends: linux-image-3.16.0-30-generic (= 3.16.0-30.40) but 3.16.0-30.40~bt3423 is to be installed
                                        Depends: linux-image-extra-3.16.0-30-generic (= 3.16.0-30.40) but 3.16.0-30.40~bt3423 is to be installed

dpkg -l | egrep 'linux-image | linux-headers'
ii linux-headers-3.16.0-29 3.16.0-29.39 all Header files related to Linux kernel version 3.16.0
ii linux-headers-3.16.0-29-generic 3.16.0-29.39 amd64 Linux kernel headers for version 3.16.0 on 64 bit x86 SMP
ii linux-headers-3.16.0-30 3.16.0-30.40~bt3423 all Header files related to Linux kernel version 3.16.0
ii linux-headers-3.16.0-30-generic 3.16.0-30.40~bt3423 amd64 Linux kernel headers for version 3.16.0 on 64 bit x86 SMP
ii linux-headers-generic 3.16.0.30.31 amd64 Generic Linux kernel headers

Pilot6 (hanipouspilot) wrote :

You did not install the image correctly. That's why it does not work.

Remove all kernel image and headers of 3.16.9.-30 and install my image again.

Or try

sudo apt-get install -f

It seems that the official image is partially installed.

2015-01-15 20:33 GMT+03:00 Alessandro Languasco <email address hidden>:

> dpkg -l | egrep 'linux-image | linux-headers'
> ii linux-headers-3.16.0-29 3.16.0-29.39
> all Header files related to Linux kernel
> version 3.16.0
> ii linux-headers-3.16.0-29-generic 3.16.0-29.39
> amd64 Linux kernel headers for version 3.16.0
> on 64 bit x86 SMP
> ii linux-headers-3.16.0-30
> 3.16.0-30.40~bt3423 all Header files related
> to Linux kernel version 3.16.0
> ii linux-headers-3.16.0-30-generic
> 3.16.0-30.40~bt3423 amd64 Linux kernel headers
> for version 3.16.0 on 64 bit x86 SMP
> ii linux-headers-generic 3.16.0.30.31
> amd64 Generic Linux kernel headers
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1411193
>
> Title:
> [Asus F200MA] bluetooth not working
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> In my opinion, this is a very similar bug to
>
> https://bugs.launchpad.net/bugs/1395465
>
> in the sense that the bluetooth indicator works but no external devices
> are detected.
> I don't know which information I should provide here so I just insert
> uname -a and lsusb.
>
> lsusb
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 13d3:3423 IMC Networks
> Bus 001 Device 003: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
> Bus 001 Device 002: ID 04f2:b483 Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> uname -a
> Linux languasc-asus 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37
> UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> Any help will be greatly appreciated. Alessandro
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+subscriptions
>

the apt-get install -f plus reinstallation of your package did not change the situation.
I have the same output for dpkg -l | egrep 'linux-image | linux-headers' I had before.

I'm sorry but I don't know how to remove all kernel image and headers of 3.16.9.-30.

Pilot6 (hanipouspilot) wrote :

Use synaptic to manage packages.

2015-01-15 21:32 GMT+03:00 Alessandro Languasco <email address hidden>:

> the apt-get install -f plus reinstallation of your package did not change
> the situation.
> I have the same output for dpkg -l | egrep 'linux-image | linux-headers' I
> had before.
>
> I'm sorry but I don't know how to remove all kernel image and headers
> of 3.16.9.-30.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1411193
>
> Title:
> [Asus F200MA] bluetooth not working
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> In my opinion, this is a very similar bug to
>
> https://bugs.launchpad.net/bugs/1395465
>
> in the sense that the bluetooth indicator works but no external devices
> are detected.
> I don't know which information I should provide here so I just insert
> uname -a and lsusb.
>
> lsusb
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 13d3:3423 IMC Networks
> Bus 001 Device 003: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
> Bus 001 Device 002: ID 04f2:b483 Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> uname -a
> Linux languasc-asus 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37
> UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> Any help will be greatly appreciated. Alessandro
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+subscriptions
>

with synaptic I removed all the headers and images except yours. I reinstalled your files, shut off and on again but no luck.
No indicator; and the bluetooth panel says bluetooth is disabled even if move it to 'on'. the 'visibility' switch
 of the panel cannot be moved to on.

Outputs:
dpkg -l | egrep 'linux-image | linux-headers'
ii linux-headers-3.16.0-30 3.16.0-30.40~bt3423 all Header files related to Linux kernel version 3.16.0
ii linux-headers-3.16.0-30-generic 3.16.0-30.40~bt3423 amd64 Linux kernel headers for version 3.16.0 on 64 bit x86 SMP

languasc@languasc-asus:~$ dmesg | egrep 'btusb | ath3k'
languasc@languasc-asus:~$

Pilot6 (hanipouspilot) wrote :

Just in case give

dpkg -l | grep 'linux-image'
dmesg | grep btusb

2015-01-15 22:35 GMT+03:00 Alessandro Languasco <email address hidden>:

> with synaptic I removed all the headers and images except yours. I
> reinstalled your files, shut off and on again but no luck.
> No indicator; and the bluetooth panel says bluetooth is disabled even if
> move it to 'on'. the 'visibility' switch
> of the panel cannot be moved to on.
>
> Outputs:
> dpkg -l | egrep 'linux-image | linux-headers'
> ii linux-headers-3.16.0-30
> 3.16.0-30.40~bt3423 all Header files related
> to Linux kernel version 3.16.0
> ii linux-headers-3.16.0-30-generic
> 3.16.0-30.40~bt3423 amd64 Linux kernel headers
> for version 3.16.0 on 64 bit x86 SMP
>
> languasc@languasc-asus:~$ dmesg | egrep 'btusb | ath3k'
> languasc@languasc-asus:~$
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1411193
>
> Title:
> [Asus F200MA] bluetooth not working
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> In my opinion, this is a very similar bug to
>
> https://bugs.launchpad.net/bugs/1395465
>
> in the sense that the bluetooth indicator works but no external devices
> are detected.
> I don't know which information I should provide here so I just insert
> uname -a and lsusb.
>
> lsusb
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 13d3:3423 IMC Networks
> Bus 001 Device 003: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
> Bus 001 Device 002: ID 04f2:b483 Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> uname -a
> Linux languasc-asus 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37
> UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> Any help will be greatly appreciated. Alessandro
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+subscriptions
>

sure:

languasc@languasc-asus:~$ dpkg -l | grep 'linux-image'
rc linux-image-3.13.0-32-generic 3.13.0-32.57 amd64 Linux kernel image for version 3.13.0 on 64 bit x86 SMP
rc linux-image-3.13.0-43-generic 3.13.0-43.72 amd64 Linux kernel image for version 3.13.0 on 64 bit x86 SMP
rc linux-image-3.13.0-44-generic 3.13.0-44.73 amd64 Linux kernel image for version 3.13.0 on 64 bit x86 SMP
rc linux-image-3.16.0-29-generic 3.16.0-29.39 amd64 Linux kernel image for version 3.16.0 on 64 bit x86 SMP
ii linux-image-3.16.0-30-generic 3.16.0-30.40~bt3423 amd64 Linux kernel image for version 3.16.0 on 64 bit x86 SMP
rc linux-image-3.18.2-031802-generic 3.18.2-031802.201501082011 amd64 Linux kernel image for version 3.18.2 on 64 bit x86 SMP
rc linux-image-extra-3.13.0-32-generic 3.13.0-32.57 amd64 Linux kernel extra modules for version 3.13.0 on 64 bit x86 SMP
rc linux-image-extra-3.13.0-43-generic 3.13.0-43.72 amd64 Linux kernel extra modules for version 3.13.0 on 64 bit x86 SMP
rc linux-image-extra-3.13.0-44-generic 3.13.0-44.73 amd64 Linux kernel extra modules for version 3.13.0 on 64 bit x86 SMP
rc linux-image-extra-3.16.0-29-generic 3.16.0-29.39 amd64 Linux kernel extra modules for version 3.16.0 on 64 bit x86 SMP
ii linux-image-extra-3.16.0-30-generic 3.16.0-30.40~bt3423 amd64 Linux kernel extra modules for version 3.16.0 on 64 bit x86 SMP
languasc@languasc-asus:~$ dmesg | grep btusb
[ 15.355471] usbcore: registered new interface driver btusb

Pilot6 (hanipouspilot) wrote :

Now it has been installed correctly, but still does not work for some reason.

Then reboot and attach full dmesg pls.

off/on and dmesg as an attachment.

Pilot6 (hanipouspilot) wrote :

Try to run

echo 'options asus_nb_wmi wapf=4' | sudo tee /etc/modprobe.d/asus.conf

and reboot.

2015-01-15 23:51 GMT+03:00 Alessandro Languasco <email address hidden>:

> off/on and dmesg as an attachment.
>
> ** Attachment added: "dmesg.log"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+attachment/4299537/+files/dmesg.log
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1411193
>
> Title:
> [Asus F200MA] bluetooth not working
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> In my opinion, this is a very similar bug to
>
> https://bugs.launchpad.net/bugs/1395465
>
> in the sense that the bluetooth indicator works but no external devices
> are detected.
> I don't know which information I should provide here so I just insert
> uname -a and lsusb.
>
> lsusb
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 13d3:3423 IMC Networks
> Bus 001 Device 003: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
> Bus 001 Device 002: ID 04f2:b483 Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> uname -a
> Linux languasc-asus 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37
> UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> Any help will be greatly appreciated. Alessandro
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+subscriptions
>

Pilot6 (hanipouspilot) wrote :

Strange is that the driver does not even try to load firmware.

2015-01-16 0:07 GMT+03:00 Dmitry Tunin <email address hidden>:

> Try to run
>
> echo 'options asus_nb_wmi wapf=4' | sudo tee /etc/modprobe.d/asus.conf
>
> and reboot.
>
> 2015-01-15 23:51 GMT+03:00 Alessandro Languasco <email address hidden>:
>
>> off/on and dmesg as an attachment.
>>
>> ** Attachment added: "dmesg.log"
>>
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+attachment/4299537/+files/dmesg.log
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1411193
>>
>> Title:
>> [Asus F200MA] bluetooth not working
>>
>> Status in linux package in Ubuntu:
>> Incomplete
>>
>> Bug description:
>> In my opinion, this is a very similar bug to
>>
>> https://bugs.launchpad.net/bugs/1395465
>>
>> in the sense that the bluetooth indicator works but no external devices
>> are detected.
>> I don't know which information I should provide here so I just insert
>> uname -a and lsusb.
>>
>> lsusb
>> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
>> Bus 001 Device 004: ID 13d3:3423 IMC Networks
>> Bus 001 Device 003: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
>> Bus 001 Device 002: ID 04f2:b483 Chicony Electronics Co., Ltd
>> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>>
>> uname -a
>> Linux languasc-asus 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12
>> 22:06:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>>
>> Any help will be greatly appreciated. Alessandro
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+subscriptions
>>
>
>

Jeremy (wa113y3s) wrote :

I wonder what the result of
modprobe -c | grep 3423 | grep ath3k
is with the new kernel

no changes with
echo 'options asus_nb_wmi wapf=4' | sudo tee /etc/modprobe.d/asus.conf
after a reboot

Jeremy:

languasc@languasc-asus:~$ modprobe -c | grep 3423 | grep ath3k
alias usb:v13D3p3423d*dc*dsc*dp*ic*isc*ip*in* ath3k

Pilot6 (hanipouspilot) wrote :

Here is the source of that kernel. The same patch type. But it seems that
firmware does not load.
https://github.com/hanipouspilot/ubuntu-fixes/tree/bt13d3_3423

2015-01-16 7:16 GMT+03:00 Alessandro Languasco <email address hidden>:

> no changes with
> echo 'options asus_nb_wmi wapf=4' | sudo tee /etc/modprobe.d/asus.conf
> after a reboot
>
> Jeremy:
>
> languasc@languasc-asus:~$ modprobe -c | grep 3423 | grep ath3k
> alias usb:v13D3p3423d*dc*dsc*dp*ic*isc*ip*in* ath3k
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1411193
>
> Title:
> [Asus F200MA] bluetooth not working
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> In my opinion, this is a very similar bug to
>
> https://bugs.launchpad.net/bugs/1395465
>
> in the sense that the bluetooth indicator works but no external devices
> are detected.
> I don't know which information I should provide here so I just insert
> uname -a and lsusb.
>
> lsusb
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 13d3:3423 IMC Networks
> Bus 001 Device 003: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
> Bus 001 Device 002: ID 04f2:b483 Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> uname -a
> Linux languasc-asus 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37
> UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> Any help will be greatly appreciated. Alessandro
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+subscriptions
>

Pilot6 (hanipouspilot) wrote :

But the Windows driver loads same firmware as for 13d3:3408 e.g.

Don't know what to say; this is far beyond my skills. Maybe it could be useful to try with another laptop like mine; but I don't know anyone else who owns an asus f200ma.

Pilot6 (hanipouspilot) wrote :

What does

rfkill list show

?

2015-01-16 14:53 GMT+03:00 Alessandro Languasco <email address hidden>:

> Don't know what to say; this is far beyond my skills. Maybe it could be
> useful to try with another laptop like mine; but I don't know anyone
> else who owns an asus f200ma.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1411193
>
> Title:
> [Asus F200MA] bluetooth not working
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> In my opinion, this is a very similar bug to
>
> https://bugs.launchpad.net/bugs/1395465
>
> in the sense that the bluetooth indicator works but no external devices
> are detected.
> I don't know which information I should provide here so I just insert
> uname -a and lsusb.
>
> lsusb
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 13d3:3423 IMC Networks
> Bus 001 Device 003: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
> Bus 001 Device 002: ID 04f2:b483 Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> uname -a
> Linux languasc-asus 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37
> UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> Any help will be greatly appreciated. Alessandro
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+subscriptions
>

Pilot6 (hanipouspilot) wrote :

Sry, the command is

rfkill list

here I am:

 rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: asus-wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: asus-bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no

Jeremy (wa113y3s) wrote :

I wonder if ath3k even loaded

lsmod | grep ath3k

no output

languasc@languasc-asus:~$ lsmod | grep ath3k
languasc@languasc-asus:~$

Jeremy: I do not receive any notification of your messages in my email; that's why I just replayed now

Jeremy (wa113y3s) wrote :

So lets load ath3k with
sudo modprobe ath3k

And find out if ath3k is in a conf file preventing it from loading
for f in /etc/modprobe.d/*; do echo $f; cat $f | grep ath3k; done

I have this

languasc@languasc-asus:~$ sudo modprobe ath3k
[sudo] password for languasc:
languasc@languasc-asus:~$ for f in /etc/modprobe.d/*; do echo $f; cat $f | grep ath3k; done
/etc/modprobe.d/alsa-base.conf
/etc/modprobe.d/asus.conf
/etc/modprobe.d/ath3k.conf
blacklist ath3k
/etc/modprobe.d/blacklist-ath_pci.conf
/etc/modprobe.d/blacklist.conf
/etc/modprobe.d/blacklist-firewire.conf
/etc/modprobe.d/blacklist-framebuffer.conf
/etc/modprobe.d/blacklist-modem.conf
/etc/modprobe.d/blacklist-oss.conf
/etc/modprobe.d/blacklist-rare-network.conf
/etc/modprobe.d/blacklist-watchdog.conf
/etc/modprobe.d/fbdev-blacklist.conf
/etc/modprobe.d/iwlwifi.conf
/etc/modprobe.d/mlx4.conf
/etc/modprobe.d/modesetting.conf
/etc/modprobe.d/vmwgfx-fbdev.conf

Pilot6 (hanipouspilot) wrote :

Alessandro,

Why do you have that blacklist?
Now do

sudo rm /etc/modprobe.d/ath3k.conf

And reboot

Pilot6: I don't know why I have this in the blacklist. I removed the file, and after a shutdown I was able to turn bluetooth on and pairing the bluetooth keyboard I'm using in this moment.
I'll try other devices during the evening but it seems that now bluetooth is working fine.

Thank you very much for your very kind assistance and help. Thanks to Jeremy too.

Pilot6 (hanipouspilot) wrote :

This means that the issue is fixed. I will send the patch upstream tomorrow.

I will also merge the patch with my custom kernel, which I keep up to date with Ubuntu kernel releases.
So in the meentime, while the patch is making its way to official Ubuntu kernels, you may use my builds.

https://github.com/hanipouspilot/ubuntu-fixes/tree/pilot6

ok; fine. thanks again

Pilot6 (hanipouspilot) wrote :

I sent the patch upstream.

https://lkml.org/lkml/2015/1/16/556

Jeremy (wa113y3s) wrote :

Looks like the patch is not being accepted. I noticed your source doesn't match bluetooth-next for ath3k.c and btusb.c as it seems the following is added to bluetooth-next in ath3k

{ USB_DEVICE(0x0489, 0xe078) }, -line 82

{ USB_DEVICE(0x04CA, 0x3010) }, -line 90

And the corresponding lines exist in the btusb blacklist

Pilot6 (hanipouspilot) wrote :

Jeremy,

Can you help me or submit the patch yourself?

I cloned git://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth-next.git

and made the patch against it. What do I do wrong? It applies cleanly.

Or everyone is talking about some else branch?

Pilot6 (hanipouspilot) wrote :

And my source in github is not same as I submit upstream patches.
And you can see that the patch is different too.

I always have hard time with kernel maintainers. They never give any information.

Jeremy (wa113y3s) wrote :

It wouldn't do any good for me to submit it as it is identical to your patch. If I had that many problems with those guys, I would just post this to the ath9k list with a email heading of PLease support 13d3:3423 with the following

T: Bus=01 Lev=02 Prnt=03 Port=00 Cnt=01 Dev#= 5 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=13d3 ProdID=3423 Rev= 0.01
C:* #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
A: FirstIf#= 0 IfCount= 2 Cls=e0(wlcon) Sub=01 Prot=01
I:* If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=81(I) Atr=03(Int.) MxPS= 16 Ivl=1ms
E: Ad=82(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms
I:* If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 0 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 0 Ivl=1ms
I: If#= 1 Alt= 1 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 9 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 9 Ivl=1ms
I: If#= 1 Alt= 2 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 17 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 17 Ivl=1ms
I: If#= 1 Alt= 3 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 25 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 25 Ivl=1ms
I: If#= 1 Alt= 4 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 33 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 33 Ivl=1ms
I: If#= 1 Alt= 5 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 49 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 49 Ivl=1ms

Pilot6 (hanipouspilot) wrote :

I just fixed it. The problem was in email client. The patch did not apply after I sent it.
Before I sent patches with the same client with no problems.
Now I sent it using git and it applies well.

https://lkml.org/lkml/2015/1/17/117

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-8.8

---------------
linux (3.19.0-8.8) vivid; urgency=low

  [ Andy Whitcroft ]

  * ubuntu: vbox -- elide the new symlinks and reconstruct on clean:
    - LP: #1426113
  * rebase to stable v3.19.1

  [ John Johansen ]

  * SAUCE: (no-up): apparmor: fix mediation of fs unix sockets
    - LP: #1408833

  [ Leann Ogasawara ]

  * Release Tracking Bug
    - LP: #1429940

  [ Upstream Kernel Changes ]

  * xen: correct bug in p2m list initialization
  * net/mlx5_core: Fix configuration of log_uar_page_sz
    - LP: #1419938
  * tpm/ibmvtpm: Additional LE support for tpm_ibmvtpm_send
    - LP: #1420575
  * net/mlx4_core: Maintain a persistent memory for mlx4 device
    - LP: #1422481
  * net/mlx4_core: Set device configuration data to be persistent across
    reset
    - LP: #1422481
  * net/mlx4_core: Refactor the catas flow to work per device
    - LP: #1422481
  * net/mlx4_core: Enhance the catas flow to support device reset
    - LP: #1422481
  * net/mlx4_core: Activate reset flow upon fatal command cases
    - LP: #1422481
  * net/mlx4_core: Manage interface state for Reset flow cases
    - LP: #1422481
  * net/mlx4_core: Handle AER flow properly
    - LP: #1422481
  * net/mlx4_core: Enable device recovery flow with SRIOV
    - LP: #1422481
  * net/mlx4_core: Reset flow activation upon SRIOV fatal command cases
    - LP: #1422481
  * tg3: Hold tp->lock before calling tg3_halt() from tg3_init_one()
    - LP: #1428111
  * rebase to v3.19.1
    - LP: #1410704
    - LP: #1411193
    - LP: #1400215
 -- Leann Ogasawara <email address hidden> Mon, 09 Mar 2015 10:08:29 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Luis Henriques (henrix) on 2015-03-23
Changed in linux (Ubuntu Utopic):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-utopic' to 'verification-done-utopic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-utopic

Hi all

I enabled -proposed as written in

https://wiki.ubuntu.com/Testing/EnableProposed

but I got no new kernel to update. see

uname -a
Linux languasc-asus 3.16.0-30-generic #40 SMP Sat Jan 17 00:55:34 MSK 2015 x86_64 x86_64 x86_64 GNU/Linux

Please tell me what I have to do to install the kernel in -proposed and check if the bug is fixed.
thanks.

Pilot6 (hanipouspilot) wrote :

make

sudo apt-get update

first

2015-03-27 13:03 GMT+03:00 Alessandro Languasco <email address hidden>:
> Hi all
>
> I enabled -proposed as written in
>
> https://wiki.ubuntu.com/Testing/EnableProposed
>
> but I got no new kernel to update. see
>
> uname -a
> Linux languasc-asus 3.16.0-30-generic #40 SMP Sat Jan 17 00:55:34 MSK 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> Please tell me what I have to do to install the kernel in -proposed and check if the bug is fixed.
> thanks.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1411193
>
> Title:
> [Asus F200MA] bluetooth not working
>
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux source package in Utopic:
> Fix Committed
>
> Bug description:
> In my opinion, this is a very similar bug to
>
> https://bugs.launchpad.net/bugs/1395465
>
> in the sense that the bluetooth indicator works but no external devices are detected.
> I don't know which information I should provide here so I just insert uname -a and lsusb.
>
> lsusb
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 13d3:3423 IMC Networks
> Bus 001 Device 003: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
> Bus 001 Device 002: ID 04f2:b483 Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> uname -a
> Linux languasc-asus 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> Any help will be greatly appreciated. Alessandro
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+subscriptions

done. what's next?

Pilot6 (hanipouspilot) wrote :

Now you should have a new kernel to upgrade

2015-03-27 13:25 GMT+03:00 Alessandro Languasco <email address hidden>:
> done. what's next?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1411193
>
> Title:
> [Asus F200MA] bluetooth not working
>
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux source package in Utopic:
> Fix Committed
>
> Bug description:
> In my opinion, this is a very similar bug to
>
> https://bugs.launchpad.net/bugs/1395465
>
> in the sense that the bluetooth indicator works but no external devices are detected.
> I don't know which information I should provide here so I just insert uname -a and lsusb.
>
> lsusb
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 13d3:3423 IMC Networks
> Bus 001 Device 003: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
> Bus 001 Device 002: ID 04f2:b483 Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> uname -a
> Linux languasc-asus 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> Any help will be greatly appreciated. Alessandro
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1411193/+subscriptions

Pilot6 (hanipouspilot) wrote :

And now even in main repos kernel version is 3.16.0-33

nope. I got nothing to update.

Pilot6 (hanipouspilot) wrote :

Do you have internet connection?
Give output of

sudo apt-get upgrade

Pilot6 (hanipouspilot) wrote :

And also you may have removed some official kernel.

You can install everything back by

sudo apt-get install linux-generic

yes I do otherwise I 'll not be able to post these messages.

languasc@languasc-asus:~$ sudo apt-get upgrade
[sudo] password for languasc:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
languasc@languasc-asus:~$

this

sudo apt-get install linux-generic

is reinstalling kernel 3.16.0.34

Pilot6 (hanipouspilot) wrote :

That's what was neede. Install it, reboot and tell. if the issue is solved.
And do not forget to turn off proposed after that.

ok. I had to pair again the keyboard but after this it is working nicely (I'm typing with it). So the bug is solved.

Is there anything more I have to do ?
thanks

Pilot6 (hanipouspilot) wrote :

I changed the tag for you as indicated in #49.
Thank you.

tags: added: verification-done-utopic
removed: verification-needed-utopic

uh, thanks again

Launchpad Janitor (janitor) wrote :
Download full text (15.4 KiB)

This bug was fixed in the package linux - 3.16.0-34.45

---------------
linux (3.16.0-34.45) utopic; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1435400

  [ Andy Whitcroft ]

  * [Packaging] generate live watchdog blacklists
    - LP: #1432837

  [ Chris J Arges ]

  * [Config] Add ibmvfc to d-i
    - LP: #1416001

  [ John Johansen ]

  * SAUCE: (no-up): apparmor: fix mediation of fs unix sockets
    - LP: #1408833

  [ Seth Forshee ]

  * [Config] updateconfigs - enable X86_UP_APIC_MSI

  [ Upstream Kernel Changes ]

  * cdc-acm: add sanity checks
    - LP: #1413992
  * x86: thinkpad_acpi.c: fixed spacing coding style issue
    - LP: #1417915
  * thinkpad_acpi: support new BIOS version string pattern
    - LP: #1417915
  * powernv: Use _GLOBAL_TOC for opal wrappers
    - LP: #1431196
  * Btrfs: clear compress-force when remounting with compress option
    - LP: #1434183
  * Btrfs: send, don't delay dir move if there's a new parent inode
    - LP: #1434223
  * [media] em28xx: fix em28xx-input removal
    - LP: #1434595
  * [media] em28xx: ensure "closing" messages terminate with a newline
    - LP: #1434595
  * [media] em28xx-input: fix missing newlines
    - LP: #1434595
  * [media] em28xx-core: fix missing newlines
    - LP: #1434595
  * [media] em28xx-audio: fix missing newlines
    - LP: #1434595
  * [media] em28xx-audio: fix missing newlines
    - LP: #1434595
  * [media] em28xx-dvb: fix missing newlines
    - LP: #1434595
  * [media] em28xx-video: fix missing newlines
    - LP: #1434595
  * ARM: pxa: add regulator_has_full_constraints to corgi board file
    - LP: #1434595
  * ARM: pxa: add regulator_has_full_constraints to poodle board file
    - LP: #1434595
  * ARM: pxa: add regulator_has_full_constraints to spitz board file
    - LP: #1434595
  * hx4700: regulator: declare full constraints
    - LP: #1434595
  * HID: input: fix confusion on conflicting mappings
    - LP: #1434595
  * HID: fixup the conflicting keyboard mappings quirk
    - LP: #1434595
  * ARM: dts: tegra20: fix GR3D, DSI unit and reg base addresses
    - LP: #1434595
  * megaraid_sas: disable interrupt_mask before enabling hardware
    interrupts
    - LP: #1434595
  * PCI: Generate uppercase hex for modalias var in uevent
    - LP: #1434595
  * usb: core: buffer: smallest buffer should start at ARCH_DMA_MINALIGN
    - LP: #1434595
  * tty/serial: at91: enable peripheral clock before accessing I/O
    registers
    - LP: #1434595
  * tty/serial: at91: fix error handling in atmel_serial_probe()
    - LP: #1434595
  * axonram: Fix bug in direct_access
    - LP: #1434595
  * btrfs: fix leak of path in btrfs_find_item
    - LP: #1434595
  * ksoftirqd: Enable IRQs and call cond_resched() before poking RCU
    - LP: #1434595
  * TPM: Add new TPMs to the tail of the list to prevent inadvertent change
    of dev
    - LP: #1434595
  * char: tpm: Add missing error check for devm_kzalloc
    - LP: #1434595
  * tpm_tis: verify interrupt during init
    - LP: #1434595
  * tpm: Fix NULL return in tpm_ibmvtpm_get_desired_dma
    - LP: #1434595
  * tpm/tpm_i2c_stm_st33: Fix potential bug in tpm_stm_i2c_send
    - LP: #1434595
  * tpm/tpm_i2c_stm_st33:...

Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) on 2015-04-09
Changed in linux (Ubuntu Trusty):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty

I'm sorry but I don't have a pc running Trusty which is affected by this bug; so I cannot verify if the patch works for this distribution too.

Brad Figg (brad-figg) wrote :

This is a simple quirk to enable this device.

tags: added: verification-done-trusty
removed: verification-needed-trusty
Launchpad Janitor (janitor) wrote :
Download full text (13.4 KiB)

This bug was fixed in the package linux - 3.13.0-51.84

---------------
linux (3.13.0-51.84) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1444141
  * Merged back Ubuntu-3.13.0-49.83 security release

linux (3.13.0-50.82) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1442285

  [ Andy Whitcroft ]

  * [Config] CONFIG_DEFAULT_MMAP_MIN_ADDR needs to match on armhf and arm64
    - LP: #1418140

  [ Chris J Arges ]

  * [Config] CONFIG_PCIEASPM_DEBUG=y
    - LP: #1398544

  [ Upstream Kernel Changes ]

  * KEYS: request_key() should reget expired keys rather than give
    EKEYEXPIRED
    - LP: #1124250
  * audit: correctly record file names with different path name types
    - LP: #1439441
  * KVM: x86: Check for nested events if there is an injectable interrupt
    - LP: #1413540
  * be2iscsi: fix memory leak in error path
    - LP: #1440156
  * block: remove old blk_iopoll_enabled variable
    - LP: #1440156
  * be2iscsi: Fix handling timed out MBX completion from FW
    - LP: #1440156
  * be2iscsi: Fix doorbell format for EQ/CQ/RQ s per SLI spec.
    - LP: #1440156
  * be2iscsi: Fix the session cleanup when reboot/shutdown happens
    - LP: #1440156
  * be2iscsi: Fix scsi_cmnd leakage in driver.
    - LP: #1440156
  * be2iscsi : Fix DMA Out of SW-IOMMU space error
    - LP: #1440156
  * be2iscsi: Fix retrieving MCCQ_WRB in non-embedded Mbox path
    - LP: #1440156
  * be2iscsi: Fix exposing Host in sysfs after adapter initialization is
    complete
    - LP: #1440156
  * be2iscsi: Fix interrupt Coalescing mechanism.
    - LP: #1440156
  * be2iscsi: Fix TCP parameters while connection offloading.
    - LP: #1440156
  * be2iscsi: Fix memory corruption in MBX path
    - LP: #1440156
  * be2iscsi: Fix destroy MCC-CQ before MCC-EQ is destroyed
    - LP: #1440156
  * be2iscsi: add an missing goto in error path
    - LP: #1440156
  * be2iscsi: remove potential junk pointer free
    - LP: #1440156
  * be2iscsi: Fix memory leak in mgmt_set_ip()
    - LP: #1440156
  * be2iscsi: Fix the sparse warning introduced in previous submission
    - LP: #1440156
  * be2iscsi: Fix updating the boot enteries in sysfs
    - LP: #1440156
  * be2iscsi: Fix processing CQE before connection resources are freed
    - LP: #1440156
  * be2iscsi : Fix kernel panic during reboot/shutdown
    - LP: #1440156
  * fixed invalid assignment of 64bit mask to host dma_boundary for scatter
    gather segment boundary limit.
    - LP: #1440156
  * quota: Store maximum space limit in bytes
    - LP: #1441284
  * ip: zero sockaddr returned on error queue
    - LP: #1441284
  * net: rps: fix cpu unplug
    - LP: #1441284
  * ipv6: stop sending PTB packets for MTU < 1280
    - LP: #1441284
  * netxen: fix netxen_nic_poll() logic
    - LP: #1441284
  * udp_diag: Fix socket skipping within chain
    - LP: #1441284
  * ping: Fix race in free in receive path
    - LP: #1441284
  * bnx2x: fix napi poll return value for repoll
    - LP: #1441284
  * net: don't OOPS on socket aio
    - LP: #1441284
  * bridge: dont send notification when skb->len == 0 in rtnl_bridge_notify
    - LP: #1441284
  * ipv4: tcp: get rid of ugly unicast_sock
...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Luis Henriques (henrix) on 2015-05-26
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Brad Figg (brad-figg) on 2015-06-04
tags: added: verification-done-precise
removed: verification-needed-precise
Launchpad Janitor (janitor) wrote :
Download full text (16.0 KiB)

This bug was fixed in the package linux - 3.2.0-85.122

---------------
linux (3.2.0-85.122) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1458901

  [ Upstream Kernel Changes ]

  * Revert "KVM: s390: flush CPU on load control"
    - LP: #1454300
  * ARM: pxa: add regulator_has_full_constraints to corgi board file
    - LP: #1454300
  * ARM: pxa: add regulator_has_full_constraints to poodle board file
    - LP: #1454300
  * ARM: pxa: add regulator_has_full_constraints to spitz board file
    - LP: #1454300
  * hx4700: regulator: declare full constraints
    - LP: #1454300
  * udf: Remove repeated loads blocksize
    - LP: #1454300
  * udf: Check length of extended attributes and allocation descriptors
    - LP: #1454300
  * PCI: Generate uppercase hex for modalias var in uevent
    - LP: #1454300
  * kernel.h: add BUILD_BUG() macro
    - LP: #1454300
  * usb: core: buffer: smallest buffer should start at ARCH_DMA_MINALIGN
    - LP: #1454300
  * axonram: Fix bug in direct_access
    - LP: #1454300
  * TPM: Add new TPMs to the tail of the list to prevent inadvertent change
    of dev
    - LP: #1454300
  * Bluetooth: ath3k: Add support of AR3012 bluetooth 13d3:3423 device
    - LP: #1411193, #1454300
  * smack: fix possible use after frees in task_security() callers
    - LP: #1454300
  * KVM: s390: base hrtimer on a monotonic clock
    - LP: #1454300
  * PCI: Fix infinite loop with ROM image of size 0
    - LP: #1454300
  * USB: cp210x: add ID for RUGGEDCOM USB Serial Console
    - LP: #1454300
  * iio: imu: adis16400: Fix sign extension
    - LP: #1454300
  * staging: comedi: comedi_compat32.c: fix COMEDI_CMD copy back
    - LP: #1454300
  * ARM: 8284/1: sa1100: clear RCSR_SMR on resume
    - LP: #1454300
  * xprtrdma: Free the pd if ib_query_qp() fails
    - LP: #1454300
  * nfs: don't call blocking operations while !TASK_RUNNING
    - LP: #1454300
  * cdc-acm: add sanity checks
    - LP: #1454300
  * USB: add flag for HCDs that can't receive wakeup requests (isp1760-hcd)
    - LP: #1454300
  * USB: fix use-after-free bug in usb_hcd_unlink_urb()
    - LP: #1454300
  * vt: provide notifications on selection changes
    - LP: #1454300
  * tty: Prevent untrappable signals from malicious program
    - LP: #1454300
  * lmedm04: Fix usb_submit_urb BOGUS urb xfer, pipe 1 != type 3 in
    interrupt urb
    - LP: #1454300
  * xen/manage: Fix USB interaction issues when resuming
    - LP: #1454300
  * rtnetlink: ifla_vf_policy: fix misuses of NLA_BINARY
    - LP: #1454300
  * ALSA: off by one bug in snd_riptide_joystick_probe()
    - LP: #1454300
  * fsnotify: fix handling of renames in audit
    - LP: #1454300
  * NFSv4.1: Fix a kfree() of uninitialised pointers in
    decode_cb_sequence_args
    - LP: #1454300
  * cpufreq: speedstep-smi: enable interrupts when waiting
    - LP: #1454300
  * mm/hugetlb: fix getting refcount 0 page in hugetlb_fault()
    - LP: #1454300
  * mm/hugetlb: add migration/hwpoisoned entry check in
    hugetlb_change_protection
    - LP: #1454300
  * mm/hugetlb: add migration entry check in __unmap_hugepage_range
    - LP: #1454300
  * mm/mmap.c: fix arithmetic overflow in __vm_enough_memory...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers